Cyberduck Mountain Duck CLI

#5785 closed defect (wontfix)

Wrong timestamp when uploading to remote server

Reported by: finofontana Owned by: dkocher
Priority: normal Milestone:
Component: webdav Version: 4.0.1
Severity: major Keywords: timestamp modification date webdav
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

When syncing my Mac with my remote server (a Synology NAS) using webdav, modification dates on the server are set to the upload time. I would expect the modification dates to be equal to those on my Mac.

Change History (6)

comment:1 follow-up: Changed on Mar 15, 2011 at 8:07:40 PM by dkocher

Currently writing the modification date on remote files is not supported for WebDAV.

comment:2 in reply to: ↑ 1 ; follow-up: Changed on Mar 15, 2011 at 9:47:39 PM by finofontana

Replying to dkocher:

Currently writing the modification date on remote files is not supported for WebDAV.

Thanks for the quick reply. Can you tell the reason why it's not supported. It makes CyberDuck WebDAV practically unusable.

comment:3 in reply to: ↑ 2 ; follow-up: Changed on May 2, 2011 at 3:59:46 PM by dkocher

Replying to finofontana:

Replying to dkocher:

Currently writing the modification date on remote files is not supported for WebDAV.

Thanks for the quick reply. Can you tell the reason why it's not supported. It makes CyberDuck WebDAV practically unusable.

There is no particular reason beyond just a missing implementation. We are currently contributing to Sardine which will replace the WebDAV implementation in the future and hope to bring in that functionality in there.

comment:4 in reply to: ↑ 3 Changed on May 31, 2011 at 6:38:04 AM by dkocher

Replying to dkocher:

Replying to finofontana:

Replying to dkocher:

Currently writing the modification date on remote files is not supported for WebDAV.

Thanks for the quick reply. Can you tell the reason why it's not supported. It makes CyberDuck WebDAV practically unusable.

There is no particular reason beyond just a missing implementation. We are currently contributing to Sardine which will replace the WebDAV implementation in the future and hope to bring in that functionality in there.

At least mod_webdav does not allow changing the last modified timestamp.

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<propertyupdate xmlns="DAV:">
	<set>
		<prop>
			<d:getlastmodified xmlns:d="DAV:">2010-05-01T23:55:26Z</d:getlastmodified>
		</prop>
	</set>
	<remove><prop/></remove>
</propertyupdate>
<D:multistatus xmlns:D="DAV:" xmlns:ns0="DAV:">
	<D:response>
		<D:href>/dav/anon/sardine/c1413612-2565-4b1d-9115-410476be33a3</D:href>
		<D:propstat>
			<D:prop><ns0:getlastmodified/></D:prop>
			<D:status>HTTP/1.1 409 (status)</D:status>
			<D:responsedescription>Property is read-only.</D:responsedescription>
		</D:propstat>
	</D:response>
</D:multistatus>

comment:5 Changed on Jul 3, 2011 at 2:45:22 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

The WebDAV specification does say nothing about changing timestamps and therefore this can unfortunately not be supported.

comment:6 Changed on Nov 1, 2011 at 10:13:54 AM by dkocher

#6338 closed as duplicate.

Note: See TracTickets for help on using tickets.
swiss made software